Bug 572011 - [LSI 5.6 FEAT] Add 3w-sas driver and update to v3.26.00.028-2.6.18RH
Summary: [LSI 5.6 FEAT] Add 3w-sas driver and update to v3.26.00.028-2.6.18RH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.6
Assignee: Tomas Henzl
QA Contact: Storage QE
URL:
Whiteboard:
Depends On:
Blocks: 557597 572341
TreeView+ depends on / blocked
 
Reported: 2010-03-10 00:40 UTC by Adam Radford
Modified: 2018-11-14 19:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 20:39:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
3w-sas_RHEL5.6 patch (79.00 KB, patch)
2010-03-10 00:40 UTC, Adam Radford
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Adam Radford 2010-03-10 00:40:43 UTC
Created attachment 398975 [details]
3w-sas_RHEL5.6 patch

This patch contains a new driver: '3w-sas' for for the LSI 3ware 9750 6Gb/s SAS/SATA-RAID controller.

This patches adds the following files:

drivers/scsi/3w-sas.c
drivers/scsi/3w-sas.h

This patch alters the following files:

drivers/scsi/Kconfig
drivers/scsi/Makefile

Note: The LSI 3ware 9750 (vendor id 13c1, device id 1010) is already listed 
in /usr/share/hwdata/pci.ids on RHEL5.5 beta1, so this patch does not attempt
to alter that file in any way.

Note: The 3w-sas driver has passed kernel review and is already in main-line Linux kernel 2.6.33.

-Adam Radford

Comment 1 Ask Bjørn Hansen 2010-05-29 07:07:32 UTC
Any news on this one?  I'll be happy to help test kernel RPMs when the patch/driver has been incorporated.

Comment 2 Tomas Henzl 2010-05-30 13:27:32 UTC
(In reply to comment #1)
> Any news on this one?  I'll be happy to help test kernel RPMs when the
> patch/driver has been incorporated.    

Bjørn,
I'm still occupied with RHEL6, so I'm going only slowly through the RHEL5 bugzillas. OK, I'll raise the my priority here a little bit.

Comment 3 Andrius Benokraitis 2010-06-01 01:31:45 UTC
Bjorn,

Development for RHEL 5.6 hasn't begun yet. Check back in a month or so...

Thanks!

A.

Comment 5 Tomas Henzl 2010-07-30 10:39:41 UTC
I've posted test kernels to http://people.redhat.com/thenzl/572011/

Because of some hardware issues I can't do even a basic testing, so it is completely untested. 

All,
let me know the test results.
Thanks, Tomas

Comment 6 Tomas Henzl 2010-08-10 14:31:18 UTC
With new disks the hardware issues are gone. I've tested the basic functionality and posted the driver for internal review.

Comment 7 Ask Bjørn Hansen 2010-08-10 17:15:25 UTC
Hi Tomas - thanks for building a test kernel!

I tried http://people.redhat.com/thenzl/572011/kernel-2.6.18-128.19.1.el5.megaraid_602714.x86_64.rpm from the URL you posted, but it doesn't seem to have the 3w-sas module.

Comment 8 Tomas Henzl 2010-08-11 11:54:36 UTC
(In reply to comment #7)
> from the URL you posted, but it doesn't seem to have the 3w-sas module.    

You are right, I've uploaded a wrong kernels. It's corrected now, sorry.

Comment 9 Ask Bjørn Hansen 2010-08-11 20:54:36 UTC
Thanks Tomas.

I put it on one of our boxes with a 9750 card and it's working well.

Comment 10 Tomas Henzl 2010-08-31 14:31:34 UTC
Adam,
I'm going to remove the scsi_remove_host from twa_resume also here.

Comment 12 Jarod Wilson 2010-09-17 14:02:04 UTC
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 14 Alan Low 2010-09-23 17:08:02 UTC
Hi Jarod, I noticed you created a 223.el5 version on Sept 21.  Did this version include the CVE-2010-3081 security fix?  I've got the 222 version on two servers and was wondering whether I should jump to this one. 

Thanks!

Oh, and 222 has been working great for the past 2 days on our 9750-4i under pretty heavy load running a qemu-kvm guest with mongo db.  :)

Comment 15 Alan Low 2010-09-24 16:16:56 UTC
Nevermind, I see that it does:

- [misc] make compat_alloc_user_space incorporate access_ok (Don Howard) [634464] {CVE-2010-3081}
http://people.redhat.com/jwilson/el5/223.el5/src/kernel-2.6.spec

Thanks!

(In reply to comment #14)
> Hi Jarod, I noticed you created a 223.el5 version on Sept 21.  Did this version
> include the CVE-2010-3081 security fix?  I've got the 222 version on two
> servers and was wondering whether I should jump to this one.

Comment 17 Adam Radford 2010-11-30 22:40:18 UTC
Redhat,

I have verified this bugzilla with RHEL5.6 snapshot 2 (kernel 2.6.18-232.el5)
I was able to successfully detect the LSI 3ware 9750 controller 
(using 3w-sas driver) and successfully installed RHEL5.6 snapshot 2 to the 
LSI 3ware 9750 controller.

-Adam

Comment 19 errata-xmlrpc 2011-01-13 20:39:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.